local WoWCombatLog = CreateFrame("frame");
WoWCombatLog:RegisterEvent("PLAYER_ENTERING_WORLD");
WoWCombatLog:SetScript("OnEvent", function(self, event, ...)
	self[event](self, ...);
end)

function WoWCombatLog:PLAYER_ENTERING_WORLD()
    local inInstance, instanceType = IsInInstance();
    if (inInstance and instanceType == "raid") then
        if (not LoggingCombat()) then
    	    LoggingCombat(true);
    	    print("WoWCombatLog started logging");
        end
    else
        if (LoggingCombat()) then
            LoggingCombat(false);
      	    print("WoWCombatLog stopped logging");
        end
    end	
end
